Subject: bug#8825: 24.0.50; Problem with builtin gnutls on Windows

From: [email-masked]
Date: Sat, 18 Jun 2011 12:47:29 -0400

Sean Sieger <[email-masked]> writes:

>     Could you compile Emacs with the "--with-gnutls" configure
>     option?
>
> Emacs-24 supports GnuTLS by default; runtime is different, the GnuTLS
> binaries are needed.

I have the GnuTLS binaries and they are in my PATH and Emacs'
`exec-path'.

Ted Zlatanov <[email-masked]> writes:

> On Tue, 14 Jun 2011 19:28:37 -0400 [email-masked] wrote: 
> This is not a GnuTLS bug, but a missing `gnutls-boot'.  I think that
> will only happen if Emacs is compiled without the --with-gnutls
> configure option.

Ted seems to indicate that "--with-gnutls" is necessary.

What do I need to do to be able to use the builtin GnuTLS in
Emacs?

Can anyone tell me how do I debug this and/or how to pass along
the necessary information needed to track this down?

The steps I followed are in my previous post.

Here is the *Backtrace* error again:

> n> I get the *Backtrace* error:
>
> n> Debugger entered--Lisp error: (void-function gnutls-boot)
> n>   gnutls-boot(#<process tls> gnutls-x509pki (:priority "NORMAL" :hostname "imap.aim.com" :loglevel 0 :trustfiles nil :crlfiles nil :keylist nil :verify-flags nil :verify-error nil :verify-hostname-error nil :callbacks nil))
> n>   gnutls-negotiate(:process #<process tls> :type gnutls-x509pki :hostname "imap.aim.com")
> n>   open-gnutls-stream("tls" "tls-buffer" "imap.aim.com" "imaps")
> n>   eval((open-gnutls-stream "tls-" "tls-buffer" "imap.aim.com" "imaps") nil)
> n>   eval-last-sexp-1(t)
> n>   eval-last-sexp(t)
> n>   eval-print-last-sexp()
> n>   call-interactively(eval-print-last-sexp nil nil)
> n>   recursive-edit()
> n>   debug(error (void-function gnutls-boot))

Thanks.